SDL_size_add_check_overflow(3)

NAME
SDL_size_add_check_overflow - Add two integers, checking for overflow.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

SDL_FORCE_INLINE bool SDL_size_add_check_overflow(size_t a, size_t b, size_t *ret);

DESCRIPTION
If a + b would overflow, return false.

Otherwise store a + b via ret and return true.

FUNCTION PARAMETERS

a   the first addend.

b   the second addend.

ret on non-overflow output, stores the addition result, may not be NULL.

RETURN VALUE
Returns false on overflow, true if result is added without overflow.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.